commit 364f12529ddd846e9aaf8e26709680c028f30d43
Author: freddy77 <freddy77>
Date:   Sun Dec 13 09:48:55 2009 +0000

    Fix problem with long binary managed as char type (patch from Christian Hoffmann)

diff --git a/ChangeLog b/ChangeLog
index 6699551..c063433 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Sun Dec 13 10:48:42 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c:
+	- Fix problem with long binary managed as char type (patch from
+	  Christian Hoffmann)
+
 Mon Dec  7 17:22:05 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/getdata.c src/tds/convert.c:
 	- Ported test for conversion from '' text to SQL_C_BINARY, remove
@@ -1962,4 +1967,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2900 2009/12/07 16:22:12 freddy77 Exp $
+$Id: ChangeLog,v 1.2901 2009/12/13 09:48:55 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 71b511f..ec2406b 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.201 2009/11/26 09:47:41 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.202 2009/12/13 09:48:55 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -2014,7 +2014,7 @@ _ct_get_client_type(TDSCOLUMN *col)
 	case SYBLONGBINARY:
 		if (col->column_usertype == USER_UNICHAR_TYPE || col->column_usertype == USER_UNIVARCHAR_TYPE)
 			return CS_UNICHAR_TYPE;
-		return CS_CHAR_TYPE;
+		return CS_LONGBINARY_TYPE;
 		break;
 	}
 

